org.apache.http.auth

## Interface AuthSchemeProvider

All Known Implementing Classes:
  BasicSchemeFactory, DigestSchemeFactory, KerberosSchemeFactory, NTLMSchemeFactory, SPNegoSchemeFactory, WindowsNegotiateSchemeFactory, WindowsNTLMSchemeFactory

    public interface AuthSchemeProvider

Factory for `AuthScheme` implementations.

Since:
  4.3

### Method Summary

Methods
`AuthScheme` `create(org.apache.http.protocol.HttpContext context)` Creates an instance of `AuthScheme`.

### Method Detail

#### create

    AuthScheme create(org.apache.http.protocol.HttpContext context)

Creates an instance of `AuthScheme`.

Returns:
  auth scheme.